summaryrefslogtreecommitdiffstats
path: root/network/3proxy/rc.3proxy
diff options
context:
space:
mode:
author Ilya Ponetayev2010-05-12 17:42:54 +0200
committer Robby Workman2010-05-12 17:42:54 +0200
commit27bfeb10fd8aae59c3f44b1880c0e8e51154d3b6 (patch)
treef88b19643b69eea366ce84c6568ad564a2deb796 /network/3proxy/rc.3proxy
parent33156cac27b7ac0b7fcf105aec88d6b449f27da3 (diff)
downloadslackbuilds-27bfeb10fd8aae59c3f44b1880c0e8e51154d3b6.tar.gz
network/3proxy: Updated for version 0.6
Diffstat (limited to 'network/3proxy/rc.3proxy')
-rw-r--r--network/3proxy/rc.3proxy58
1 files changed, 58 insertions, 0 deletions
diff --git a/network/3proxy/rc.3proxy b/network/3proxy/rc.3proxy
new file mode 100644
index 0000000000..1e9aac44a2
--- /dev/null
+++ b/network/3proxy/rc.3proxy
@@ -0,0 +1,58 @@
+#!/bin/sh
+#
+# Slackware sysinit script for 3proxy
+
+# Copyright 2009 Ilya INSTE Ponetayev, <inste@mail.ru>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+BIN="/usr/bin/3proxy"
+CFG="/etc/3proxy/3proxy.cfg"
+PID="/var/run/3proxy.pid"
+
+case "$1" in
+ start)
+ echo "Starting 3Proxy $BIN $CFG "
+ $BIN $CFG
+ ;;
+
+ stop)
+ echo "Stopping 3Proxy"
+ if [ "$PID" ]; then
+ kill $(cat $PID)
+ else
+ killall 3proxy
+ fi
+ ;;
+
+ restart|reload)
+ echo "Reloading 3Proxy"
+ if [ $PID ]; then
+ kill -s USR1 $(cat $PID)
+ else
+ killall -s USR1 3proxy
+ fi
+ ;;
+
+
+ *)
+ echo Usage: $0 "{start|stop|restart}"
+ exit 1
+esac
+